#! /bin/bash
# Author: Rodney Summerscales
# update: 18-Mar-2004
# Purpose: Archive config, cnc, icn or geo files
# Notes:
# Copyright (c) 2004 Centroid, Inc. all rights reserved

if [ $# -ne 1 ]
then
	echo "usage: backup.sh configfile"
	echo "where configfile contains:"
	echo "	zipfile zipdir file1 file2 file3 ..."
	exit 1
fi

# read config file
read zipfile zipdir files < $1 

# move to dir containing files to be zipped
cd $zipdir

# zip the files
zip -q $zipfile $files
if [ $? -ne 0 ]
then
  # error zipping files
  exit 2
fi
exit 0 
