#!/bin/bash
# Programmer:   Rodney Summerscales
# Update:       $Id: changeres.sh,v 1.1.1.1 2006/01/05 14:30:21 kdennison Exp $
# Purpose:      change screen resolution
# Note:
# Copyright (c) 2004 Centroid, Inc. all rights reserved

# check usage
if [ $# -lt 1 ] 
then 
  echo "Usage: changeres  NEW_RES"
  echo "    NEW_RES is 640x480 or 1024x768"
  echo
  exit 1
fi

NEW_RES=$1
XCONFIG=/etc/X11/XF86Config
MODE_FILE=modes.tmp

# save old config file
cp $XCONFIG  ${XCONFIG}.bak

# get list of modes to replace
grep "Modes" $XCONFIG > $MODE_FILE
sed "s/Modes//g" $MODE_FILE > out
sed "s/\"//g"    out        > $MODE_FILE
sed "s/ //g"     $MODE_FILE  > out
mv out $MODE_FILE

OLD_RES_LIST=`cat $MODE_FILE`

# replace modes with new screen res
for OLD_RES in $OLD_RES_LIST
do
  sed "s/$OLD_RES/$NEW_RES/g" $XCONFIG > out
  mv out $XCONFIG -f 
done

rm -f $MODE_FILE

echo
echo "*****************************************"
echo "* The screen resolution is now set to:  "
echo "*              $NEW_RES"
echo "*"
echo "* You must restart your system for the "
echo "* change to take effect."
echo "*****************************************"
echo 
