#! /bin/sh
# AUTHOR:  Steven Brown
# UPDATE:  $Id: check_share.sh,v 1.2 2006/07/11 12:52:40 sbrown Exp $
# PURPOSE: Check the availability of the specified Samba server

# possible return values:
# 0 = server is available
# 1 = server is not available

AWK_EXTRACT_SERVER_IP='/^[0-9]*\.[0-9]*\.[0-9]*\.[0-9]* / { print $1 }'
AWK_EXTRACT_NMAP_RESULT='/^Nmap run completed/ { print substr( $8, 2, 2 ) }'
AWK_PRINT_LAST_LINE='BEGIN {last_line=""} /^.*$/ {last_line=$0} END {printf "%s", last_line}'

# according to /etc/services, netbios-ssn is port 139
NMAP_OPTIONS='-sT -n --host_timeout 1000 -P0 -p 139'

SERVER_IP=`nmblookup $1 | awk "$AWK_EXTRACT_SERVER_IP" | awk "$AWK_PRINT_LAST_LINE"`

# check that an IP address was successfully extracted from the request
if [ $SERVER_IP ]
then
  NMAP_RESULTS=`nmap $NMAP_OPTIONS $SERVER_IP | awk "$AWK_EXTRACT_NMAP_RESULT"`

  # check if the nmap result was successfully extracted
  if [ $NMAP_RESULTS ]
  then
    # check what the results of nmap were
    if [ $NMAP_RESULTS -gt 0 ]
    then
      exit 0
    else
      exit 1
    fi
  else
    exit 1
  fi
else
  exit 1
fi
