#!/bin/bash
# Programmer:   Rodney Summerscales
# Update:       $Id: checksum.sh,v 1.1.1.1 2006/01/05 14:30:21 kdennison Exp $ 
# Purpose:      perform md5 checksum on given list of files 
# Note:
# Copyright (c) 2005 Centroid, Inc. all rights reserved

CHECKSUMDIR=$1
if [ ! -d "$CHECKSUMDIR" ]; then
  echo "Error: Cannot find checksum directory $CHECKSUMDIR"
  echo "Usage: checksum.sh DIR"
  echo "Options: "
  echo "        DIR  is the directory containing checksum files (*.md5) "
  echo     
  exit 1
fi

# parse each line of checksum file.
# perform md5 checksum for each file that EXISTS
for checkfile in $CHECKSUMDIR/*.md5 
do
  AWKLINE="eval awk '{ printf \$2 }' $checkfile"
  file=`$AWKLINE`
  if [ -r $file ]; then
    md5sum -c $checkfile   # perform checksum
    if [ $? -ne 0 ]; then
      exit 2            # checksum failed, exit
    fi
  fi 
done
