#! /bin/sh
#####################################################
# AUTHOR:    Keith Dennison
# UPDATE:    03-NOV-2005
# PURPOSE:  call NEDIT editor. 
#
#####################################################

EDITOR=nedit    # modify this line to select a different editor
LINE=

#
# Set the line number to jump
# to after the file is loaded,
# provided a second command line argument is present
#
if [ "$2" != "" ]
  then
  LINE="-line $2"
fi
   
#
# change keyboard mapping so that 
# with NUM_LOCK off the numbers still appear
# 
xmodmap - <<!EOD
keycode 0x5B = period comma
keycode 0x5A = 0
keycode 0x57 = 1
keycode 0x58 = 2
keycode 0x59 = 3
keycode 0x53 = 4
keycode 0x54 = 5
keycode 0x55 = 6
keycode 0x4F = 7
keycode 0x50 = 8
keycode 0x51 = 9
!EOD

#
# Set the use the bash shell
#
xrdb -nocpp - <<!EOD
nedit.shell:  /bin/bash
!EOD

# save NUM_LOCK state
NUMLOCK_STATUS=`numlockutil`

# turn off NUM_LOCK
`numlockutil off`

# start editor
`$EDITOR $LINE "$1" >/dev/null 2>&1`

# restore NUM_LOCK state
`numlockutil "$NUMLOCK_STATUS"`

