#!/bin/bash
# Programmer:   Ron Eichenlaub, Rodney Summerscales
# Update:       $Id: report.sh,v 1.2 2006/07/10 19:16:18 kdennison Exp $ 
# Purpose:      Generate a zip file containing all report files.
# Note:
# Copyright (c) 2004 Centroid, Inc. all rights reserved

declare OUTPUT
OUTPUT="report.txt"

#
# create text report file
#
if [ $1 -a $1 != "--no-report" ]
then
  # remove old report file
  rm -f $OUTPUT  > /dev/null 2>&1

  echo "Generating Machine Configuration Text file..."
  echo "Report Date: "        > $OUTPUT
  date                        >> $OUTPUT
  echo "Operating System: "   >> $OUTPUT
  version                     >> $OUTPUT
  cnc10conv -dc               >> $OUTPUT
  cnc10conv -dj               >> $OUTPUT
  cnc10conv -dp               >> $OUTPUT
  cnc10conv -dw               >> $OUTPUT
  echo ""                     >> $OUTPUT
  echo "Modules Loaded:"      >> $OUTPUT
  cat /proc/modules           >> $OUTPUT
  cat /proc/misc              >> $OUTPUT
  echo ""                     >> $OUTPUT
  echo "PLC Executor Status:" >> $OUTPUT
  cat /proc/driver/plc        >> $OUTPUT
  echo ""                     >> $OUTPUT
  echo "File system stats:"   >> $OUTPUT
  df                          >> $OUTPUT   
  echo `pwd` " listing"       >> $OUTPUT
  ls  -Rl                     >> $OUTPUT
  echo "Updates installed..." >> $OUTPUT
  cat /cncroot/c/history.txt  >> $OUTPUT
  echo "--------- MD5 Checksums ---------" >> $OUTPUT
  md5sum bin/* *.hex                       >> $OUTPUT
  dmesg > dmesg.txt
  # convert report file to dos format
  unix2dos $OUTPUT
fi

#
# generate zip file
#
rm -f report.zip > /dev/null 2>&1
zip -q report.zip \
  cnc10*.cfg       \
  cnc10*.job       \
  cnc10*.wcs       \
  cnc10*.prm       \
  cnc10*.tl        \
  cnc10*.ol        \
  cnc10*.ttl       \
  cnc10*.tch       \
  cnc10*.m*        \
  cnc10*.hom       \
  cnc10.net       \
  *.plc           \
  *.src           \
  *.sym           \
  *.out           \
  *.tab           \
  *.txt           \
  *.ini           
  
# add report text file to zip file
if [ $1 -a $1 != "--no-report" ]
then
  zip -q report.zip $OUTPUT
fi



