@echo off
REM *****************************************************************
REM * File:         report_install.bat
REM * Programmer:   Keith Dennison
REM * Update:       11-JAN-2007 
REM * Purpose:      Restore (extract) files from report zip file 
REM *               located at a location specified by the first 
REM *               command line argument.
REM * Note:         The second command line argument (--mill or --lathe)
REM *               is not used as the batch file assumes the extraction
REM *               location to be the curretn directory.  This should
REM *               work for Mill, Lathe, and Demo software.
REM *               
REM * 
REM *
REM * $Id$
REM * 
REM ****************************************************************** 

echo.
echo  Restoring Configuration Files
echo.


REM
REM Copy the zip file into the current directory
REM 

copy %1\report.zip    >nul

REM
REM Extract the files (assume Yes on all queries, like overwrite)
REM

bin\7ZA e -y report.zip >nul

REM
REM Remove the report.zip file
REM

del report.zip        >nul


REM
REM Exit with an error code of 68 to signal to
REM cnc10 to display the shutdown screen
REM

  exit 68


