#!/bin/sh
#  Author:    Rodney Summerscales
#  Update:    $Id: startcnc10.sh,v 1.1.1.1 2006/01/05 14:30:21 kdennison Exp $ 
#  Purpose:   Start cnc10 or startmenu if demo console
#  Note:      
# Copyright (c) 2004 Centroid, Inc. all rights reserved

MILL=/cncroot/c/cnc10/bin
LATHE=/cncroot/c/cnc10t/bin

# check usage
if [ -d $MILL -a -d $LATHE  ]
then
  # system is a demo console. execute startmenu
  startmenu & 
else
  if [ -d $MILL ]
  then
    # only mill installed. start cnc10 mill 
    runcnc.sh --mill &
  else 
    if [ -d $LATHE ]
    then
      # only lathe installed. start cnc10 lathe
      runcnc.sh --lathe &
    else 
      # nothing installed. exit
      echo "CNC10 is not installed!"
      exit 1
    fi
  fi
fi
